Package org.pushingpixels.substance.api

# Interface SchemeDerivedColors

All Known Subinterfaces:
  `SubstanceColorScheme`

All Known Implementing Classes:
  `AquaColorScheme`, `BarbyPinkColorScheme`, `BaseColorScheme`, `BaseDarkColorScheme`, `BaseLightColorScheme`, `BlendBiColorScheme`, `BottleGreenColorScheme`, `BrownColorScheme`, `CharcoalColorScheme`, `CremeColorScheme`, `DarkGrayColorScheme`, `DarkMetallicColorScheme`, `DarkVioletColorScheme`, `DesertSandColorScheme`, `EbonyColorScheme`, `HueShiftColorScheme`, `InvertedColorScheme`, `JadeForestColorScheme`, `LightAquaColorScheme`, `LightGrayColorScheme`, `LimeGreenColorScheme`, `MetallicColorScheme`, `NegatedColorScheme`, `OliveColorScheme`, `OrangeColorScheme`, `PurpleColorScheme`, `RaspberryColorScheme`, `SaturatedColorScheme`, `SepiaColorScheme`, `ShadeColorScheme`, `ShiftColorScheme`, `SteelBlueColorScheme`, `SunfireRedColorScheme`, `SunGlareColorScheme`, `SunsetColorScheme`, `TerracottaColorScheme`, `TintColorScheme`, `ToneColorScheme`, `UltramarineColorScheme`

public interface SchemeDerivedColors
Interface for derived color scheme colors.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackgroundFillColor()`
Returns the background fill color for `this` scheme.
`Color`
`getFocusRingColor()`
Returns the focus ring color for `this` scheme.
`Color`
`getLineColor()`
Returns the line color for `this` scheme.
`Color`
`getSelectionBackgroundColor()`
Returns the selection background color for `this` scheme.
`Color`
`getSelectionForegroundColor()`
Returns the selection foreground color for `this` scheme.
`Color`
`getTextBackgroundFillColor()`
Returns the text background fill color for `this` scheme.
`Color`
`getWatermarkDarkColor()`
Returns the watermark dark color for `this` scheme.
`Color`
`getWatermarkLightColor()`
Returns the watermark light color for `this` scheme.
`Color`
`getWatermarkStampColor()`
Returns the watermark stamp color for `this` scheme.

## Method Details

### getWatermarkStampColor

Color getWatermarkStampColor()
Returns the watermark stamp color for `this` scheme.

Returns:
  Watermark stamp color for `this` scheme.

### getWatermarkLightColor

Color getWatermarkLightColor()
Returns the watermark light color for `this` scheme.

Returns:
  Watermark light color for `this` scheme.

### getWatermarkDarkColor

Color getWatermarkDarkColor()
Returns the watermark dark color for `this` scheme.

Returns:
  Watermark dark color for `this` scheme.

### getLineColor

Color getLineColor()
Returns the line color for `this` scheme.

Returns:
  The line color for `this` scheme.

### getSelectionBackgroundColor

Color getSelectionBackgroundColor()
Returns the selection background color for `this` scheme.

Returns:
  The selection background color for `this` scheme.

### getSelectionForegroundColor

Color getSelectionForegroundColor()
Returns the selection foreground color for `this` scheme.

Returns:
  The selection foreground color for `this` scheme.

### getBackgroundFillColor

Color getBackgroundFillColor()
Returns the background fill color for `this` scheme.

Returns:
  The background fill color for `this` scheme.

### getTextBackgroundFillColor

Color getTextBackgroundFillColor()
Returns the text background fill color for `this` scheme.

Returns:
  The text background fill color for `this` scheme.

### getFocusRingColor

Color getFocusRingColor()
Returns the focus ring color for `this` scheme.

Returns:
  The focus ring color for `this` scheme.